Subject: Re: bug#64999: Acknowledgement (emacs-next: emacs-29.1 fails to native-compile libraries, giving a runtime error that ctri.o and other files can't be found)

From: Adam Porter <[email-masked]>
Date: Tue, 1 Aug 2023 17:37:30 -0500

FYI, I hacked together a new package definition, updating the emacs-next 
one to build 29.1 from the release tarball, and after installing it, 
everything seems to work, including native compilation.

I don't know enough about Guix to understand why using "guix install" 
with the package transformation option caused the runtime problem with 
gcc, but everything does seem to work with the updated definition.

So I guess this report can be closed.

OTOH, if anyone knows why the transformation option failed in that way, 
it might be helpful to solve it if possible, so users could use the 
option to install future releases without having to modify the package 
definition.  (AFAIK, I was able to do that for various Emacs 28 versions 
without this problem, so I wonder if something's changed.)

See also: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65000